Open Redirect

Affecting kibana package, versions <5.6.5 || >=6 <6.0.1

Overview

Kibana is an open source (Apache Licensed), browser-based analytics and search dashboard for Elasticsearch.

Affected versions of this package are vulnerable to Open Redirect.

The Kibana fix for CVE-2017-8451 was found to be incomplete. With X-Pack installed, Kibana versions before 6.0.1 and 5.6.5 have an open redirect vulnerability on the login page that would enable an attacker to craft a link that redirects to an arbitrary website.

References

Do your applications use this vulnerable package?

CVSS Score

6.1
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Changed
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Credit
Unknown
CVE
CVE-2017-11482
CWE
CWE-601
Snyk ID
npm:kibana:20171206-1
Disclosed
06 Dec, 2017
Published
22 Jan, 2018